#include<bits/stdc++.h>
using namespace std;
const int N=1e6;
int b[N];
int main()
{
    long long n, i, j, k=1, ans=0, l=0;
    cin>>n;
    long long a[n];
    for (i=0; i<n; i++)
    {
        cin>>a[i];
    }
    for (i=0; i<n-1; i++)
    {
        if (a[i]==a[i+1])
        {
            l++;
        }
    }
    if (l==n-1)
    {
        cout<<n*a[0];
        return 0;
    }
    sort(a, a+n);
    for (i=n-1; i>=0; i--)
    {
        if (a[i]<=0)
        {
            break;
        }
        if (a[i]==a[i-1])
        {
            k++;
        }
        if (a[i]>a[i-1])
        {
            ans+=k*a[i];
            for (j=i-1; j>=0; j--)
            {
                a[j]=a[j]-k;
            }
            k=1;
        }
    }
    cout<<ans;
}
